bm::task_batch_base Class Referenceabstract
BitMagic Library » Task parallel programming

Interface definition (base class) for a group of tasks (batch). More...

`#include <bmtask.h>`

Inheritance diagram for bm::task_batch_base:
[legend]

## Public Types

typedef unsigned | size_type

## Public Member Functions

virtual | ~task_batch_base ()
virtual size_type | size () const =0
| Return size of batch.
virtual bm::task_descr * | get_task (size_type task_idx)=0
| Get task by index in the batch.

## Detailed Description

Interface definition (base class) for a group of tasks (batch).

Definition at line 117 of file bmtask.h.

## Member Typedef Documentation

## size_type

typedef unsigned bm::task_batch_base::size_type

Definition at line 120 of file bmtask.h.

## Constructor & Destructor Documentation

## ~task_batch_base()

virtual bm::task_batch_base::~task_batch_base | ( |  | ) |

inline virtual

Definition at line 122 of file bmtask.h.

## Member Function Documentation

## get_task()

virtual bm::task_descr * bm::task_batch_base::get_task | ( | size_type | task_idx | ) |

pure virtual

Get task by index in the batch.

Parameters

  task_idx | - task index in the batch

Returns
  task description

Implemented in bm::task_batch< BVAlloc >, and bm::task_batch< allocator_type >.

Referenced by bm::run_task_batch(), and bm::thread_pool_executor< TPool >::wait_for_batch_done().

## size()

virtual size_type bm::task_batch_base::size | ( |  | ) | const

pure virtual

Return size of batch.

Implemented in bm::task_batch< BVAlloc >, and bm::task_batch< allocator_type >.

Referenced by bm::run_task_batch(), and bm::thread_pool_executor< TPool >::wait_for_batch_done().

The documentation for this class was generated from the following file:

- bmtask.h